@echo off
@setlocal enableextensions

:: Check for admin rights
net session >nul 2>&1
if %errorLevel% == 0 (
    echo Installing Habz Theme...
) else (
    echo Requesting administrator...
    powershell -command "Start-Process '%0' -Verb RunAs"
    exit /b
)

@cd /d "%~dp0"

echo. 
COPY /V /Y "%CD%\Habz.qss" "C:\Program Files\obs-studio\data\obs-studio\themes"
IF %ERRORLEVEL% NEQ 0 (
    echo Error copying theme file
) ELSE (
    echo Theme file copied successfully
)

echo.
echo Copying Assets...
XCOPY /E /I /F /Q /Y "%CD%\Habz" "C:\Program Files\obs-studio\data\obs-studio\themes\Habz"
IF %ERRORLEVEL% NEQ 0 (
    echo Error copying assets
) ELSE (
    echo Habz theme copied successfully !
)

echo.
echo Press any key to exit...
PAUSE > NUL
